@media screen and (min-width: 768px) {
  .product {
    display: flex;
    width: 100vw;
    position: relative;
    left: 50%;
    transform: translatex(-50%);
  }

  .product > .woocommerce-product-gallery {
    order: 2;
  }

  .product > .summary {
    order: 1;
    padding: 5% 10%;
  }

  .product > div {
    width: 50% !important;
    margin: 0 !important;
  }
}

.onsale {
  width: fit-content;
  height: 35px;
  display: flex !important;
  align-items: center;
  justify-content: center;
  background: black;
  color: white !important;
  position: absolute !important;
  top: 15px;
  left: 15px;
  border-radius: 0 !important;
  border: none !important;
  z-index: 99;
}

.product > .summary .single-brand-logo {
  transform: translatex(-10px);
}

.product_title {
  font-family: var(--alt-font);
  color: black;
}

.price {
  color: black;
  margin: 0.5rem 0 !important;
}

.med-single-instalments {
  font-style: italic;
  font-size: 0.9rem;
}

.stock {
  color: black !important;
  font-style: italic;
  font-size: 0.9rem;
}

.stock::before {
  display: none !important;
}

.woocommerce-product-gallery__trigger {
  background-color: transparent !important;
  border: 1px solid black;
}

.woocommerce-product-gallery__trigger::before {
  color: black !important;
}

.woocommerce-product-gallery__image {
  background-color: var(--grey) !important;
}

.woocommerce-product-gallery__image > a {
  display: flex;
  justify-content: center;
  align-items: center;
}

.woocommerce-product-gallery__image > a > img {
  mix-blend-mode: multiply !important;
  max-height: 500px;
  width: auto;
}

.woocommerce-product-gallery ol > li {
  display: flex;
  justify-content: center;
  align-items: center;
}

.woocommerce-product-gallery ol > li > img {
  max-height: 250px;
  width: auto;
}

@media screen and (max-width: 767px) {
  .woocommerce-product-gallery .flex-control-nav {
    display: none;
  }
}

/* quantity buttons */

.quantity {
  display: none;
}

.qib-button-wrapper {
  margin: 0 10px 0 0 !important;
}

.quantity input,
.qib-button-wrapper button.qib-button,
.qib-button-wrapper div.quantity.wqpmb_quantity {
  min-height: 46px !important;
  background-color: white !important;
}

.cart .button {
  text-transform: uppercase;
  background-color: black !important;
}

/* size guide */

table.variations th.label {
  display: flex !important;
  gap: 10px;
}

.sizeguide-trigger {
  order: 3;
  background-color: var(--purrple);
  color: white;
  padding: 1px 5px;
  font-size: 0.9rem;
}

.sizeguide-trigger:hover {
  cursor: pointer;
}

.med-custom-tabs {
  margin-top: 25px;
}

/* related products */

.related .products {
  background: #f1f1f1;
  padding: 1rem 0;
}

.products .variations {
  position: absolute;
  top: 25%;
  width: 50px;
}

/* Add to cart btn */

.products .product .button {
  background-color: black;
  color: white;
  text-transform: uppercase;
}

/* Tabs */

.woocommerce-tabs {
  background: #f1f1f1;
  padding: 1rem !important;
  margin-bottom: 1rem;
}

/* Tabs list */
.wc-tabs li {
  padding: 0 1rem;
}

.wc-tabs li a {
  font-family: var(--alt-font);
}

.wc-tabs li.active {
  background-color: black;
  text-align: right;
}

@media screen and (max-width: 767px) {
  .wc-tabs li.active {
    text-align: left;
  }
}

.wc-tabs li.active > a {
  color: white !important;
}

.wc-tabs li.active::after {
  display: none !important;
}

/* Tab content */
.woocommerce-Tabs-panel > h2 {
  display: none !important;
}

.woocommerce-Tabs-panel ul {
  column-count: 2;
}

/* photo swipe */

.pswp__bg {
  opacity: 0.9 !important;
}

/* Gallery */

.woocommerce-product-gallery .flex-control-thumbs > li {
  width: 33% !important;
  margin: 0 !important;
  border: 1px solid var(--grey);
  clear: none !important;
}

.product_meta {
  border-top: none !important;
  padding-top: 0 !important;
}

.single-dispatch-message {
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--purrple);
  width: 100vw !important;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  margin: 0;
}

.single-dispatch-message::after {
  content: "";
  top: 0;
  transform: translateX(100%);
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 1;
  animation: slide 3s ease-in-out infinite;
  background: -moz-linear-gradient(
    left,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.8) 50%,
    rgba(128, 186, 232, 0) 99%,
    rgba(125, 185, 232, 0) 100%
  ); /* FF3.6+ */
  background: -webkit-gradient(
    linear,
    left top,
    right top,
    color-stop(0%, rgba(255, 255, 255, 0)),
    color-stop(50%, rgba(255, 255, 255, 0.8)),
    color-stop(99%, rgba(128, 186, 232, 0)),
    color-stop(100%, rgba(125, 185, 232, 0))
  ); /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(
    left,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.8) 50%,
    rgba(128, 186, 232, 0) 99%,
    rgba(125, 185, 232, 0) 100%
  ); /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(
    left,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.8) 50%,
    rgba(128, 186, 232, 0) 99%,
    rgba(125, 185, 232, 0) 100%
  ); /* Opera 11.10+ */
  background: -ms-linear-gradient(
    left,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.8) 50%,
    rgba(128, 186, 232, 0) 99%,
    rgba(125, 185, 232, 0) 100%
  ); /* IE10+ */
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.8) 50%,
    rgba(128, 186, 232, 0) 99%,
    rgba(125, 185, 232, 0) 100%
  ); /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ffffff', endColorstr='#007db9e8',GradientType=1 ); /* IE6-9 */
}

@keyframes slide {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(100%);
  }
}

.single-dispatch-message p {
  margin: 0 10px 0 10px;
  color: white;
  text-align: center;
}

.wc-variation-is-unavailable {
  display: none !important;
}

.woocommerce_waitlist.button {
  background-image: var(--colorfull1);
  color: white;
}

.wcwl_intro {
  font-style: italic;
  font-size: 0.9rem;
}
